#= Makefile for dcpam/src/surface_flux
#
# Authors::   Yoshiyuki O. Takahashi, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.8 2013/10/06 13:44:15 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = surface_flux_bulk.o bucket_model.o subsurface_diffusion_heat.o surface_flux_util.o lb_flux_simple.o set_dust_flux.o

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

#=== rb2f90
